<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
   
  <parent>
       <groupId>io.dbmaster.plugins</groupId>
       <artifactId>dbmaster-plugin-parent</artifactId>
       <version>2.0.2</version>
   </parent>

   <artifactId>data-search</artifactId>
   <version>1.4.4-SNAPSHOT</version>
   <packaging>bundle</packaging>

   <name>Data Search</name>
   <description>Helps to find tables and columns where specific value is stored without free text search catalog</description>

   <build>
      <resources>
         <resource>
            <directory>src/main/groovy</directory>
            <includes>
               <include>**/*.groovy</include>
            </includes>
         </resource>
         <resource>
            <directory>src/main/resources</directory>
         </resource>
      </resources>
      <plugins>
         <plugin>
            <groupId>org.apache.felix</groupId>
            <artifactId>maven-bundle-plugin</artifactId>
            <configuration>
               <instructions>
                  <Tags>inventory,sqlserver,search</Tags>
                  <Author>slava.christin</Author>
                  <Import-Package>io.dbmaster.api;version="[1.12,2.1)",!*</Import-Package>
               </instructions>
            </configuration>
         </plugin>

         <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>build-helper-maven-plugin</artifactId>
         </plugin>
         <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-surefire-plugin</artifactId>
         </plugin>
         <plugin>
            <groupId>org.codehaus.gmaven</groupId>
            <artifactId>gmaven-plugin</artifactId>
         </plugin>
         <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-antrun-plugin</artifactId>
         </plugin>
      </plugins>

   </build>

</project>

